using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace XYY.Model.Standard.StockRoom
{
    public class View_Compensate
    {
        /// <summary>
        /// 客户订单编号
        /// </summary>
        [DisplayName("客户订单编号")]
        public string CustomerOrderNo
        {
            get; set;
        }
        /// <summary>
        /// 收件人姓名
        /// </summary>
        [DisplayName("收件人姓名")]
        public string ReceiverName
        {
            get; set;
        }
        /// <summary>
        /// 收件人国家
        /// </summary>
        [DisplayName("收件人国家")]
        public string ReceiverCountryCode
        {
            get; set;
        }
        /// <summary>
        /// 收件人邮编
        /// </summary>
        [DisplayName("收件人邮编")]
        public string ReceiverZipCode
        {
            get; set;
        }
        /// <summary>
        /// 收件人州
        /// </summary>
        [DisplayName("收件人州")]
        public string ReceiverState
        {
            get; set;
        }
        /// <summary>
        /// 收件人城市
        /// </summary>
        [DisplayName("收件人城市")]
        public string ReceiverCity
        {
            get; set;
        }
        /// <summary>
        /// 收件人电话
        /// </summary>
        [DisplayName("收件人电话")]
        public string ReceiverPhone
        {
            get; set;
        }
        /// <summary>
        /// Sku
        /// </summary>
        [DisplayName("Sku")]
        public string Sku
        {
            get; set;
        }
        /// <summary>
        /// 数量
        /// </summary>
        [DisplayName("数量")]
        public int Qty
        {
            get; set;
        }

        /// <summary>
        /// 跟踪号
        /// </summary>
        [DisplayName("跟踪号")]
        public string TrackingNumber
        {
            get; set;
        }

        /// <summary>
        /// 跟踪号
        /// </summary>
        [DisplayName("跟踪号")]
        public int CustomerId
        {
            get; set;
        }
        /// <summary>
        /// 地址
        /// </summary>
        [DisplayName("收件人地址")]
        public string ReceiverStreet { get; set; }

        [DisplayName("客户名称")]
        public string CustomerName { get; set; }
        [DisplayName("用户邮箱")]
        public string CustomerEMail { get; set; }
        [DisplayName("目的地港口")]
        public string DestinationPortCode { get; set; }
        [DisplayName("区域")]
        public string Area { get; set; }
        public int Id { get; set; }
    }
}
